---
type: api
title: Get filtered group of proxies
description: Get data for a filtered group of proxies.
url: https://www.elastic.co/docs/api/doc/cloud-enterprise/v3/operation/operation-get-proxies-filtered-group
resource: https://www.elastic.co/docs/api/doc/cloud-enterprise/v3/operation/operation-get-proxies-filtered-group
products:
  - Elastic Cloud Enterprise
---

# Get filtered group of proxies

Authentication: required

## Paths

- `GET` `/platform/infrastructure/proxies/filtered-groups/{proxies_filtered_group_id}`

#### Path parameters

- `proxies_filtered_group_id` (string) — required
  "The identifier for the filtered group of proxies

## Description

Get data for a filtered group of proxies.

## Responses

#### `200`

Data for the filtered group of proxies identified by {proxies_filtered_group_id}

`application/json`

- `id` (string)
  Identifier of the filtered group of proxies
- `filters` (object[])
  Filters to be matched
  - `key` (string)
    Key of the proxy metadata item to be matched
  - `value` (string)
    Value of the proxy metadata item to be matched
- `expected_proxies_count` (integer · format: int32)
  Expected minimum number of proxies matching all filters in this group
##### Response headers

- `x-cloud-resource-version` (string)
  The resource version, which is used to avoid update conflicts with concurrent operations
- `x-cloud-resource-created` (string)
  The date-time when the resource was created (ISO format relative to UTC)
- `x-cloud-resource-last-modified` (string)
  The date-time when the resource was last modified (ISO format relative to UTC)

#### `404`

Unable to find the {proxies_filtered_group_id} specified filtered group of proxies. Edit your request, then try again. (code: `proxies.proxies_filtered_group_not_found`)

`application/json`

- `errors` (object[])
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` (string[])
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code examples

#### curl

```curl
curl -X GET "${API_URL}/platform/infrastructure/proxies/filtered-groups/${PROXIES_FILTERED_GROUP_ID}" \
  -u "${USERNAME}:${PASSWORD}"
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "id": "string",
  "filters": [
    {
      "key": "string",
      "value": "string"
    }
  ],
  "expected_proxies_count": 0
}
```

#### 404

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "code": "string",
      "message": "string",
      "fields": [
        "string"
      ]
    }
  ]
}
```

